{
  config,
  pkgs,
  username,
  project,
  ...
}: {
  #To show logs of services run: journalctl --user-unit={service-name} --user

  systemd.user.services.autostart-yakuake = {
    enable = true;
    description = "Automatically start Yakuake";
    after = ["graphical-session.target"];
    wantedBy = ["graphical-session.target"];
    serviceConfig = {
      ExecStart = ["${pkgs.kdePackages.yakuake}/bin/yakuake"];

      Type = "oneshot";
      Restart = "on-failure";
      RestartSec = "5s";
      Environment = "PATH=/run/current-system/sw/bin:/etc/profiles/per-user/$USER/bin";
    };
  };

  systemd.user.services.autostart-trayscale = {
    enable = true;
    description = "Automatically start Trayscale";
    #after = [ "plasma-desktop.service" ];
    wantedBy = ["default.target"];
    serviceConfig = {
      ExecStart = ["${pkgs.trayscale}/bin/trayscale --hide-window"];

      Type = "oneshot";
      Restart = "on-failure";
      RestartSec = "5s";
    };
  };
}
